> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hirehive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get feedback

> Get a paginated list of feedback



## OpenAPI

````yaml get /v1.0/{company_id}/feedback
openapi: 3.0.0
info:
  title: HireHive API reference
  termsOfService: https://www.hirehive.com/terms/
  contact:
    email: support@hirehive.com
  version: v1.0
servers:
  - url: https://api.hirehive.com
security:
  - bearerAuth: []
paths:
  /v1.0/{company_id}/feedback:
    get:
      tags:
        - Feedback
      operationId: Feedback_GetFeedback
      parameters:
        - name: company_id
          in: path
          required: true
          schema:
            type: string
            format: string
          x-position: 1
        - name: sort
          in: query
          description: 'Sortable fields: `date_complete`, `date_created`.'
          schema:
            type: string
          x-position: 2
        - name: application_id
          in: query
          description: Filter feedback for a specific application id. Format `app_1a2b3c`
          schema:
            type: string
            format: string
            nullable: true
          x-position: 3
        - name: creator_id
          in: query
          description: Filter feedback created by a specific user id. Format `usr_1a2b3c`
          schema:
            type: string
            format: string
            nullable: true
          x-position: 4
        - name: reviewer_id
          in: query
          description: Filter feedback completed by a specific user id. Format `usr_1a2b3c`
          schema:
            type: string
            format: string
            nullable: true
          x-position: 5
        - name: form_id
          in: query
          description: Filter feedback by the form_id. Format `form_1a2b3c`
          schema:
            type: string
            format: string
            nullable: true
          x-position: 6
        - name: status
          in: query
          description: Filter feedback by status
          schema:
            $ref: '#/components/schemas/FeedbackStatus'
            nullable: true
          x-position: 7
        - name: page
          in: query
          description: Defaults to 1
          schema:
            type: integer
            format: int32
          x-position: 8
        - name: page_size
          in: query
          description: Defaults to 30. Min = 1. Max = 100
          schema:
            type: integer
            format: int32
            maximum: 100
            minimum: 1
          x-position: 9
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PagedResponseOfFeedbackResponseDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
components:
  schemas:
    FeedbackStatus:
      type: string
      description: ''
      x-enumNames:
        - Pending
        - Complete
      enum:
        - pending
        - complete
    PagedResponseOfFeedbackResponseDto:
      type: object
      additionalProperties: false
      properties:
        meta:
          $ref: '#/components/schemas/Meta'
        links:
          $ref: '#/components/schemas/Links'
        items:
          type: array
          items:
            $ref: '#/components/schemas/FeedbackResponseDto'
    ValidationProblemDetails:
      type: object
      additionalProperties:
        nullable: true
      properties:
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
    Meta:
      type: object
      additionalProperties: false
      properties:
        page_size:
          type: integer
          format: int32
        page:
          type: integer
          format: int32
        total_items:
          type: integer
          format: int32
        total_pages:
          type: integer
          format: int32
        has_next_page:
          type: boolean
        has_previous_page:
          type: boolean
    Links:
      type: object
      additionalProperties: false
      properties:
        first:
          type: string
        last:
          type: string
        next:
          type: string
        previous:
          type: string
    FeedbackResponseDto:
      type: object
      additionalProperties: false
      required:
        - questions
      properties:
        id:
          type: string
          description: The id of the feedback. Format `fdbk_1a2b3c`
          format: int32
        application_id:
          type: string
          description: The application id this feedback form is for. Format `app_1a2b3c`
          format: int32
        form_id:
          type: string
          description: >-
            The id of the form that the feedback is connected to. Format
            `form_1a2b3c`
          format: int32
        candidate:
          $ref: '#/components/schemas/Candidate'
        name:
          type: string
          description: The name of the form.
        creator:
          $ref: '#/components/schemas/Creator2'
        reviewer:
          $ref: '#/components/schemas/Reviewer'
        status:
          $ref: '#/components/schemas/FeedbackStatus'
          description: >-
            The current status of the feedback indicating if it has been
            completed or not.
        date_created:
          type: string
          description: The date that the feedback was submitted or requested.
          format: date-time
        date_complete:
          type: string
          description: The date that the feedback was sumitted
          format: date-time
          nullable: true
        questions:
          type: array
          items:
            $ref: '#/components/schemas/FeedbackQuestionAndAnswer'
    Candidate:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          description: The candidate_id this feedback form is for. Format `can_1a2b3c`
          format: int32
        name:
          type: string
    Creator2:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          description: The id of the user that created this feedback. Format `usr_1a2b3c`
          format: int32
        name:
          type: string
    Reviewer:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          description: The id of the user that completed this feedback. Format `usr_1a2b3c`
          format: int32
        name:
          type: string
    FeedbackQuestionAndAnswer:
      type: object
      additionalProperties: false
      required:
        - options
      properties:
        id:
          type: string
          description: The id of the question. Format `qustn_1a2b3c`
          format: int32
        type:
          $ref: '#/components/schemas/Elements'
          description: The type of field of the question.
        question:
          type: string
          description: The text of the question.
        description:
          type: string
          description: The description of the question if the `type` is `header`
        required:
          type: boolean
          description: A bool to indicate if this question is required.
        restricted:
          type: boolean
          description: >-
            A bool to indicate if the answers to this question require the
            `restricted` permission to view.
        display_order:
          type: integer
          format: int32
        options:
          type: array
          items:
            $ref: '#/components/schemas/FeedbackQuestionOption'
        answer:
          $ref: '#/components/schemas/FeedbackQuestionAnswer'
    Elements:
      type: string
      description: ''
      x-enumNames:
        - Textbox
        - TextArea
        - Radio
        - Checkbox
        - Dropdown
        - Upload
        - Header
        - Scorecard
      enum:
        - textbox
        - text_area
        - radio
        - checkbox
        - dropdown
        - upload
        - header
        - scorecard
    FeedbackQuestionOption:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          description: The id of the option. Format `opt_1a2b3c`
          format: int32
          nullable: true
        label:
          type: string
          description: The text label of the option
        description:
          type: string
          description: The text description of the option
    FeedbackQuestionAnswer:
      type: object
      additionalProperties: false
      properties:
        question_id:
          type: string
          description: The id of the question. Format `qustn_1a2b3c`
          format: int32
        text:
          type: string
          description: >-
            The text answer given. Only applicable for `textbox` and `text_area`
            type questions
        ratings:
          type: array
          description: >-
            The answers given for a scorecard. Only applicable for `scorecard`
            type questions
          items:
            $ref: '#/components/schemas/RatingDto'
        selected_options:
          type: array
          description: >-
            One or more answers given for a multiple choice question. Only
            applicable for `checkbox` type questions
          items:
            type: string
            format: int32
        selected_option:
          type: string
          description: >-
            The single selected answer for a radio/dropdown question. Only
            applicable for `radio` and `dropdown` type questions
          format: int32
          nullable: true
    RatingDto:
      type: object
      additionalProperties: false
      properties:
        option_id:
          type: string
          description: The id of the option. Format `opt_1a2b3c`
          format: int32
        rating:
          type: integer
          description: >-
            The answers given for a scorecard option. Options: -2 (Very poor),
            -1 (Poor), 0 (Neutral), 1 (Good), 2 (Very good) Only applicable for
            `scorecard` type questions
          format: int32
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````